/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2022/8/28
 */
package org.springblade.modules.business.data.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.etl.entity.EtlRsvrDataEntity;
import org.springblade.modules.business.data.dto.RtuDataRsvrDTO;
import org.springblade.modules.business.data.entity.RtuDataRsvrEntity;
import org.springblade.modules.business.data.mapper.RtuDataRsvrMapper;
import org.springblade.modules.business.data.service.IRtuDataRsvrService;
import org.springblade.modules.business.data.vo.RtuDataRsvrVO;
import org.springframework.stereotype.Service;

import java.util.Date;

/***
 * Date:2022/8/28
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
@Service
public class RtuDataRsvrServiceImpl extends BaseServiceImpl<RtuDataRsvrMapper, RtuDataRsvrEntity> implements IRtuDataRsvrService {
	@Override
	public IPage<RtuDataRsvrVO> selectPage(IPage<RtuDataRsvrVO> page, RtuDataRsvrDTO rtuDataRsvrDTO) {
		return page.setRecords(baseMapper.selectPage(page, rtuDataRsvrDTO));
	}

	@Override
	public boolean updateRsvrInfo(RtuDataRsvrEntity entity) {
		LambdaQueryWrapper<RtuDataRsvrEntity> dataWrapper = Wrappers.<RtuDataRsvrEntity>query().lambda();
		dataWrapper.eq(RtuDataRsvrEntity::getRtuCode, entity.getRtuCode());
		dataWrapper.eq(RtuDataRsvrEntity::getIsDeleted, 0);
		RtuDataRsvrEntity rsvrDataEntity = this.getOne(dataWrapper);
		if (null != rsvrDataEntity) {
			entity.setId(rsvrDataEntity.getId());
		}
		entity.setUpdateTime(new Date());
		return this.saveOrUpdate(entity);
	}
}
